/**
 * RoleClassPassive2.java
 *
 * File generated from the medication2::RoleClassPassive2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassPassive2.
 *
 * 
 */

@XmlType(name = "RoleClassPassive")
@XmlEnum
@XmlRootElement(name = "RoleClassPassive2")
public enum RoleClassPassive2 {
	@XmlEnumValue("ACCESS")
	ACCESS("ACCESS"),
	@XmlEnumValue("BIRTHPL")
	BIRTHPL("BIRTHPL"),
	@XmlEnumValue("EXPR")
	EXPR("EXPR"),
	@XmlEnumValue("HLD")
	HLD("HLD"),
	@XmlEnumValue("HLTHCHRT")
	HLTHCHRT("HLTHCHRT"),
	@XmlEnumValue("IDENT")
	IDENT("IDENT"),
	@XmlEnumValue("MNT")
	MNT("MNT"),
	@XmlEnumValue("OWN")
	OWN("OWN"),
	@XmlEnumValue("RGPR")
	RGPR("RGPR"),
	@XmlEnumValue("TERR")
	TERR("TERR"),
	@XmlEnumValue("WRTE")
	WRTE("WRTE"),
	@XmlEnumValue("DST")
	DST("DST"),
	@XmlEnumValue("RET")
	RET("RET"),
	@XmlEnumValue("MANU")
	MANU("MANU"),
	@XmlEnumValue("THER")
	THER("THER"),
	@XmlEnumValue("SDLOC")
	SDLOC("SDLOC"),
	@XmlEnumValue("DSDLOC")
	DSDLOC("DSDLOC"),
	@XmlEnumValue("ISDLOC")
	ISDLOC("ISDLOC");
	
	private final String value;

    RoleClassPassive2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassPassive2 fromValue(String v) {
        for (RoleClassPassive2 c: RoleClassPassive2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
